| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Grid

Portability | unportable
Stability | unstable
Maintainer | <l.mai@web.de>

Contents

Usage

Description
A simple layout that attempts to put all windows in a square grid.
Synopsis

data Grid a = Grid
arrange :: Rectangle -> [a] -> [(a, Rectangle)]

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Grid

Then edit your `layoutHook` by adding the Grid layout:

     myLayouts = Grid ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Grid a | Source

Constructors

Grid |

Instances

LayoutClass Grid a
Read (Grid a)
Show (Grid a)

arrange :: Rectangle -> [a] -> [(a, Rectangle)] | Source

Produced by Haddock version 2.4.2